diff --git a/gnu/packages/idris.scm b/gnu/packages/idris.scm
index 1837a8a8152..fc4ec7ab5a4 100644
--- a/gnu/packages/idris.scm
+++ b/gnu/packages/idris.scm
@@ -186,7 +186,7 @@ (define-public idris-lightyear
   (let ((commit "6d65ad111b4bed2bc131396f8385528fc6b3678a"))
     (package
       (name "idris-lightyear")
-      (version (git-version "0.1" "1" commit))
+      (version (make-git-version "0.1" "1" commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -211,7 +211,7 @@ (define-public idris-wl-pprint
   (let ((commit "1d365fcf4ba075859844dbc5eb96a90f57b9f338"))
     (package
       (name "idris-wl-pprint")
-      (version (git-version "0.1" "1" commit))
+      (version (make-git-version "0.1" "1" commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -236,7 +236,7 @@ (define-public idris-bifunctors
   (let ((commit "53d06a6ccfe70c49c9ae8c8a4135981dd2173202"))
     (package
       (name "idris-bifunctors")
-      (version (git-version "0.1" "1" commit))
+      (version (make-git-version "0.1" "1" commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -260,7 +260,7 @@ (define-public idris-lens
   (let ((commit "26f012005f6849806cea630afe317e42cae97f29"))
     (package
       (name "idris-lens")
-      (version (git-version "0.1" "1" commit))
+      (version (make-git-version "0.1" "1" commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/image-processing.scm b/gnu/packages/image-processing.scm
index 632c00ac823..a1ade701ff6 100644
--- a/gnu/packages/image-processing.scm
+++ b/gnu/packages/image-processing.scm
@@ -1487,7 +1487,7 @@ (define-public itk-snap
        ("c3d-src"
         ,(let* ((commit "f521358db26e00002c911cc47bf463b043942ad3")
                 (revision "1")
-                (version (git-version "0" revision commit)))
+                (version (make-git-version "0" revision commit)))
            (origin
              (method git-fetch)
              (uri (git-reference
@@ -1502,7 +1502,7 @@ (define-public itk-snap
        ("greedy-src"
         ,(let* ((commit "97e340f7e8e66597599144947775e6039e79a0d3")
                 (revision "1")
-                (version (git-version "0" revision commit)))
+                (version (make-git-version "0" revision commit)))
            (origin
              (method git-fetch)
              (uri (git-reference
@@ -1526,7 +1526,7 @@ (define-public metapixel
   (let ((commit "98ee9daa093b6c334941242e63f90b1c2876eb4f"))
     (package
       (name "metapixel")
-      (version (git-version "1.0.2" "1" commit))
+      (version (make-git-version "1.0.2" "1" commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/image.scm b/gnu/packages/image.scm
index 1598d330464..bf93cc04195 100644
--- a/gnu/packages/image.scm
+++ b/gnu/packages/image.scm
@@ -462,7 +462,7 @@ (define-public pnglite
       ;; The latest version in sourceforge was 0.1.17:
       ;; https://sourceforge.net/projects/pnglite/files/pnglite/
       ;; No releases are made in github.
-      (version (git-version "0.1.17" revision commit))
+      (version (make-git-version "0.1.17" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -496,7 +496,9 @@ (define-public pnglite
                       (lib (string-append out "/lib/"))
                       (include (string-append out "/include/"))
                       (doc (string-append out "/share/doc/"
-                                          ,name "-" ,version "/")))
+                                          ,name "-"
+                                          ,(package-version this-package)
+                                          "/")))
                  (install-file "libpnglite.so" lib)
                  (install-file "pnglite.h" include)
                  (install-file "README.md" doc)
@@ -1493,7 +1495,7 @@ (define-public vigra-c
          (revision "2"))
     (package
       (name "vigra-c")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (home-page "https://github.com/BSeppke/vigra_c")
       (source (origin
                 (method git-fetch)
@@ -2177,7 +2179,7 @@ (define-public flameshot
         (revision "1"))
     (package
       (name "flameshot")
-      (version (git-version "12.1.0" revision commit))
+      (version (make-git-version "12.1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2457,7 +2459,7 @@ (define-public lodepng
         (version "20200215"))
     (package
       (name "lodepng")
-      (version (git-version version revision commit))
+      (version (make-git-version version revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/inferno.scm b/gnu/packages/inferno.scm
index 67df73bf02c..38796754a55 100644
--- a/gnu/packages/inferno.scm
+++ b/gnu/packages/inferno.scm
@@ -35,7 +35,7 @@ (define-public inferno
         (revision "0"))
     (package
       (name "inferno")
-      (version (git-version "4" revision commit))
+      (version (make-git-version "4" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/instrumentation.scm b/gnu/packages/instrumentation.scm
index 81bbd5118eb..56642fb8fdb 100644
--- a/gnu/packages/instrumentation.scm
+++ b/gnu/packages/instrumentation.scm
@@ -252,7 +252,7 @@ (define-public flamegraph
         (revision "1"))
     (package
       (name "flamegraph")
-      (version (git-version "1.0" revision commit))
+      (version (make-git-version "1.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -291,7 +291,7 @@ (define-public jacquesctf
         (revision "0"))
     (package
       (name "jacquesctf")
-      (version (git-version "1.0" revision commit))
+      (version (make-git-version "1.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -687,7 +687,7 @@ (define-public yactfr
         (revision "0"))
     (package
       (name "yactfr")
-      (version (git-version "1.0" revision commit))
+      (version (make-git-version "1.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/ipfs.scm b/gnu/packages/ipfs.scm
index 4140000bd1a..fd3deead52e 100644
--- a/gnu/packages/ipfs.scm
+++ b/gnu/packages/ipfs.scm
@@ -555,7 +555,7 @@ (define-public go-github-com-ipfs-go-ipfs-blocksutil
         (revision "0"))
     (package
       (name "go-github-com-ipfs-go-ipfs-blocksutil")
-      (version (git-version "0.0.1" revision commit))
+      (version (make-git-version "0.0.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2607,7 +2607,7 @@ (define-public spritely-libp2p-daemon
         (revision "0"))
     (package
       (name "spritely-libp2p-daemon")
-      (version (git-version version revision commit))
+      (version (make-git-version version revision commit))
       (source
        (origin
          (method git-fetch)