diff --git a/gnu/packages/radio.scm b/gnu/packages/radio.scm
index 5e05dd1bcf4..4607aae3af7 100644
--- a/gnu/packages/radio.scm
+++ b/gnu/packages/radio.scm
@@ -135,7 +135,7 @@ (define-public libfec
         (revision "1"))
     (package
       (name "libfec")
-      (version (git-version "1.0" revision commit))
+      (version (make-git-version "1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -162,7 +162,7 @@ (define-public libcorrect
         (revision "1"))
     (package
       (name "libcorrect")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -389,7 +389,7 @@ (define-public airspy
         (revision "1"))
     (package
       (name "airspy")
-      (version (git-version "1.0.10" revision commit))
+      (version (make-git-version "1.0.10" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -440,7 +440,7 @@ (define-public airspyhf
         (revision "1"))
     (package
       (name "airspyhf")
-      (version (git-version "1.6.8" revision commit))
+      (version (make-git-version "1.6.8" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -567,7 +567,7 @@ (define-public soapyaudio
         (revision "0"))
     (package
       (name "soapyaudio")
-      (version (git-version "0.1.1" revision commit))
+      (version (make-git-version "0.1.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -618,7 +618,7 @@ (define-public soapybladerf
         (revision "1"))
     (package
       (name "soapybladerf")
-      (version (git-version "0.4.1" revision commit))
+      (version (make-git-version "0.4.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -643,7 +643,7 @@ (define-public soapyhackrf
         (revision "1"))
     (package
       (name "soapyhackrf")
-      (version (git-version "0.3.4" revision commit))
+      (version (make-git-version "0.3.4" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -669,7 +669,7 @@ (define-public soapymultisdr
         (revision "1"))
     (package
       (name "soapymultisdr")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -694,7 +694,7 @@ (define-public soapyremote
         (revision "1"))
     (package
       (name "soapyremote")
-      (version (git-version "0.5.2" revision commit))
+      (version (make-git-version "0.5.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -834,7 +834,7 @@ (define-public aptdec
         (revision "3"))
     (package
       (name "aptdec")
-      (version (git-version "1.7" revision commit))
+      (version (make-git-version "1.7" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1166,7 +1166,7 @@ (define-public gr-dsd
         (revision "0"))
     (package
       (name "gr-dsd")
-      (version (git-version "1.0.0" revision commit))
+      (version (make-git-version "1.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1221,7 +1221,7 @@ (define-public gr-iqbal
         (revision "0"))
     (package
       (name "gr-iqbal")
-      (version (git-version "0.38.2" revision commit))
+      (version (make-git-version "0.38.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2420,7 +2420,7 @@ (define-public ggmorse
         (revision "1"))
     (package
       (name "ggmorse")
-      (version (git-version "0.1.0" revision commit))
+      (version (make-git-version "0.1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2535,7 +2535,7 @@ (define-public go-github-com-mesilliac-pulse-simple
         (revision "0"))
     (package
       (name "go-github-com-mesilliac-pulse-simple")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2570,7 +2570,7 @@ (define-public go-github-com-akosmarton-papipes
         (revision "0"))
     (package
       (name "go-github-com-akosmarton-papipes")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2839,7 +2839,7 @@ (define-public libdab
         (revision "1"))
     (package
       (name "libdab")
-      (version (git-version "0.8" revision commit))
+      (version (make-git-version "0.8" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2870,7 +2870,7 @@ (define-public dsd
         (revision "1"))
     (package
       (name "dsd")
-      (version (git-version "1.7.0" revision commit))
+      (version (make-git-version "1.7.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -3052,7 +3052,7 @@ (define-public sdr++
         (revision "1"))
     (package
       (name "sdr++")
-      (version (git-version "1.1.0" revision commit))
+      (version (make-git-version "1.1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -3289,7 +3289,7 @@ (define-public rx-tools
         (revision "1"))
     (package
       (name "rx-tools")
-      (version (git-version "1.0.3" revision commit))
+      (version (make-git-version "1.0.3" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -3549,7 +3549,7 @@ (define-public chirp
         (revision "4"))
     (package
       (name "chirp")
-      (version (git-version "0.4.0" revision commit))
+      (version (make-git-version "0.4.0" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/raspberry-pi.scm b/gnu/packages/raspberry-pi.scm
index 8580628f20d..af711b794af 100644
--- a/gnu/packages/raspberry-pi.scm
+++ b/gnu/packages/raspberry-pi.scm
@@ -89,7 +89,7 @@ (define-public raspi-gpio
         (revision "1"))
     (package
       (name "raspi-gpio")
-      (version (git-version "0.1" revision commit))
+      (version (make-git-version "0.1" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -384,7 +384,7 @@ (define-public raspberrypi-userland
         (commit "54fd97ae4066a10b6b02089bc769ceed328737e0"))
     (package
       (name "raspberrypi-userland")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -435,7 +435,7 @@ (define-public rpi-fbcp
         (commit "af8d32246c23cb23e4030e6588668a14341f5ddc"))
     (package
       (name "rpi-fbcp")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -551,7 +551,7 @@ (define-public waveshare-dtoverlays
         (revision "0"))
     (package
       (name "waveshare-dtoverlays")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/rdf.scm b/gnu/packages/rdf.scm
index 869b0fc81fd..248e2f44b78 100644
--- a/gnu/packages/rdf.scm
+++ b/gnu/packages/rdf.scm
@@ -262,7 +262,7 @@ (define-public redland
         (revision "0"))
     (package
       (name "redland")
-      (version (git-version "1.0.17" revision commit))
+      (version (make-git-version "1.0.17" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/robotics.scm b/gnu/packages/robotics.scm
index e8f6e1dee69..80e9c750781 100644
--- a/gnu/packages/robotics.scm
+++ b/gnu/packages/robotics.scm
@@ -40,7 +40,7 @@ (define-public enki
         (revision "0"))
     (package
       (name "enki")
-      (version (git-version "2.0pre" revision commit))
+      (version (make-git-version "2.0pre" revision commit))
       (home-page "https://github.com/enki-community/enki/")
       (source (origin
                 (method git-fetch)
@@ -79,7 +79,7 @@ (define-public aseba
         (revision "0"))
     (package
       (name "aseba")
-      (version (git-version "1.6.0" revision commit))
+      (version (make-git-version "1.6.0" revision commit))
       (home-page "https://github.com/aseba-community/aseba")
       (source (origin
                 (method git-fetch)
diff --git a/gnu/packages/ruby-xyz.scm b/gnu/packages/ruby-xyz.scm
index b893d444bdd..f9851a5c59c 100644
--- a/gnu/packages/ruby-xyz.scm
+++ b/gnu/packages/ruby-xyz.scm
@@ -690,7 +690,7 @@ (define-public ruby-rspec-stubbed-env
         (commit "9d767dec77a6d130f6ad83c48a00a5c81b14b9fa"))
     (package
       (name "ruby-rspec-stubbed-env")
-      (version (git-version "1.0.0" revision commit))
+      (version (make-git-version "1.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -2102,7 +2102,7 @@ (define-public ruby-sporkmonger-rack-mount
         (commit "076aa2c47d9a4c081f1e9bcb56a826a9e72bd5c3"))
     (package
       (name "ruby-sporkmonger-rack-mount")
-      (version (git-version "0.8.3" revision commit))
+      (version (make-git-version "0.8.3" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -3525,7 +3525,7 @@ (define-public ruby-hydra-minimal
         (revision "1"))
     (package
       (name "ruby-hydra-minimal")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (home-page "https://github.com/hyphenation/hydra")
       (source (origin
                 (method git-fetch)
@@ -3561,7 +3561,7 @@ (define-public ruby-hydra-minimal/pinned
     (hidden-package
      (package
        (inherit ruby-hydra-minimal)
-       (version (git-version "0.0" revision commit))
+       (version (make-git-version "0.0" revision commit))
        (source (origin
                  (method git-fetch)
                  (uri (git-reference
@@ -4103,7 +4103,7 @@ (define-public ruby-flores
         (revision "0"))
     (package
       (name "ruby-flores")
-      (version (git-version "0.0.8" revision commit))
+      (version (make-git-version "0.0.8" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -4583,7 +4583,7 @@ (define-public ruby-test-construct
         (revision "0"))
     (package
       (name "ruby-test-construct")
-      (version (git-version "2.0.2" revision commit))
+      (version (make-git-version "2.0.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -5474,7 +5474,7 @@ (define-public ruby-minitest-stub-const
         (revision "0"))
     (package
       (name "ruby-minitest-stub-const")
-      (version (git-version "0.6" revision commit))  ;for Rakefile
+      (version (make-git-version "0.6" revision commit))  ;for Rakefile
       (source
        (origin
          (method git-fetch)
@@ -6873,7 +6873,7 @@ (define-public ruby-tzinfo
         (revision "0"))
     (package
       (name "ruby-tzinfo")
-      (version (git-version "2.0.6" revision commit))
+      (version (make-git-version "2.0.6" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -7203,7 +7203,7 @@ (define-public ruby-immutable-struct
         (revision "0"))
     (package
       (name "ruby-immutable-struct")
-      (version (git-version "2.4.1" revision commit))
+      (version (make-git-version "2.4.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -7807,7 +7807,7 @@ (define-public ruby-pg
         (revision "0"))
   (package
     (name "ruby-pg")
-    (version (git-version "1.5.9" revision commit))
+    (version (make-git-version "1.5.9" revision commit))
     (home-page "https://github.com/ged/ruby-pg")
     (source
      (origin
@@ -9138,7 +9138,7 @@ (define-public ruby-stackprof
         (revision "0"))
     (package
       (name "ruby-stackprof")
-      (version (git-version "0.2.27" revision commit))
+      (version (make-git-version "0.2.27" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -9320,7 +9320,7 @@ (define-public ruby-vcr-expat
         (commit-dont-touch "842b2bf89099dc91f2c643d0d85d1abd54eb7e85")) ;
     (package
       (name "ruby-vcr-expat")
-      (version (git-version "5.0.0" revision commit-dont-touch))
+      (version (make-git-version "5.0.0" revision commit-dont-touch))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -12554,7 +12554,7 @@ (define-public ruby-terminfo
         (revision "0"))
     (package
       (name "ruby-terminfo")
-      (version (git-version "0.2" revision commit))
+      (version (make-git-version "0.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -13009,7 +13009,7 @@ (define-public ruby-pdf-inspector
         (commit "00ee4c92ff917118785ebec188e81effc968abeb"))
     (package
       (name "ruby-pdf-inspector")
-      (version (git-version "1.3.0" revision commit))
+      (version (make-git-version "1.3.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -13362,7 +13362,7 @@ (define-public ruby-hashie
         (revision "0"))
     (package
       (name "ruby-hashie")
-      (version (git-version "5.0.0" revision commit))
+      (version (make-git-version "5.0.0" revision commit))
       (source (origin
                 (method git-fetch)        ;for tests
                 (uri (git-reference
@@ -13469,7 +13469,7 @@ (define-public ruby-yaml-lint
         (revision "0"))
     (package
       (name "ruby-yaml-lint")
-      (version (git-version "0.1.2" revision commit))
+      (version (make-git-version "0.1.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -15066,7 +15066,7 @@ (define-public ruby-rugged
         (revision "0"))
     (package
       (name "ruby-rugged")
-      (version (git-version "1.6.2" revision commit))
+      (version (make-git-version "1.6.2" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -15995,7 +15995,7 @@ (define-public ruby-websocket
         (revision "1"))
     (package
       (name "ruby-websocket")
-      (version (git-version "1.2.9" revision commit))
+      (version (make-git-version "1.2.9" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
index abaf7166fd5..9244b2c648d 100644
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -139,7 +139,7 @@ (define %mrustc-source
       (uri (git-reference
             (url "https://github.com/thepowersgang/mrustc")
             (commit %mrustc-commit)))
-      (file-name (git-file-name name (git-version version revision commit)))
+      (file-name (git-file-name name (make-git-version version revision commit)))
       (sha256
        (base32 "1yyjfl1z6d5r9sv7zl90kqyjw1lqd2cqzwh2syi7yvrpslhihrhy"))
       (patches (search-patches "mrustc-patches.patch"))