diff --git a/gnu/packages/task-management.scm b/gnu/packages/task-management.scm
index 4e6b8d147a7..d4968b09e9c 100644
--- a/gnu/packages/task-management.scm
+++ b/gnu/packages/task-management.scm
@@ -82,7 +82,7 @@ (define-public clikan
     (package
       (name "clikan")
       (version
-       (git-version "0.2.1" revision commit))
+       (make-git-version "0.2.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -307,7 +307,7 @@ (define-public worklog
         (revision "1"))
     (package
       (name "worklog")
-      (version (git-version "2.1" revision commit))
+      (version (make-git-version "2.1" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/tcl.scm b/gnu/packages/tcl.scm
index c2cdbd8a03f..6eb0a0f82b1 100644
--- a/gnu/packages/tcl.scm
+++ b/gnu/packages/tcl.scm
@@ -492,7 +492,7 @@ (define-public go-github.com-nsf-gothic
         (revision "0"))
     (package
       (name "go-github.com-nsf-gothic")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/telegram.scm b/gnu/packages/telegram.scm
index 1c9b0de6b29..310e4eec60b 100644
--- a/gnu/packages/telegram.scm
+++ b/gnu/packages/telegram.scm
@@ -98,7 +98,7 @@ (define libyuv-for-telegram-desktop
             (commit commit)))
       (file-name (git-file-name
                   "libyuv-for-telegram-desktop"
-                  (git-version "0" revision commit)))
+                  (make-git-version "0" revision commit)))
       (sha256
        (base32
         "1fsvc0f8mckrdzys8lnlnbw6676mjamm6p3ghr2h9liqfa83s6wg")))))
@@ -283,7 +283,7 @@ (define-public webrtc-for-telegram-desktop
      (package
        (name "webrtc-for-telegram-desktop")
        (version
-        (git-version "0" revision commit))
+        (make-git-version "0" revision commit))
        (source
         (origin
           (method git-fetch)
@@ -374,7 +374,7 @@ (define-public rlottie-for-telegram-desktop
     (hidden-package
      (package
        (name "rlottie-for-telegram-desktop")
-       (version (git-version "0.0.1" revision commit))
+       (version (make-git-version "0.0.1" revision commit))
        (source
         (origin
           (method git-fetch)
@@ -623,7 +623,7 @@ (define-public tl-parser
     (package
       (name "tl-parser")
       (version
-       (git-version "0" revision commit))
+       (make-git-version "0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -669,7 +669,7 @@ (define-public tgl
     (package
       (name "tgl")
       (version
-       (git-version "2.0.1" revision commit))
+       (make-git-version "2.0.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -742,7 +742,7 @@ (define-public telegram-cli
     (package
       (name "telegram-cli")
       (version
-       (git-version "1.3.1" revision commit))
+       (make-git-version "1.3.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -881,7 +881,7 @@ (define-public tgs2png
         (revision "0"))
     (package
       (name "tgs2png")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index c833bcc0cc2..feb1778ed52 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -555,7 +555,7 @@ (define find-python-interpreter-cmake-modules
           (url "https://github.com/Krzmbrzl/FindPythonInterpreter")
           (commit commit)))
     (file-name (git-file-name "find-python-interpreter"
-                              (git-version "0" revision commit)))
+                              (make-git-version "0" revision commit)))
     (sha256
      (base32
       "1ryhda2yqgrhnwndfg52mscdsclg1ivv746hvalcay5m1wy2h5bm")))))
@@ -876,7 +876,7 @@ (define-public pjproject-jami
       (name "pjproject-jami")
       ;; The version is taken from
       ;; <https://raw.githubusercontent.com/savoirfairelinux/pjproject/master/version.mak>.
-      (version (git-version "2.13.1" revision commit))
+      (version (make-git-version "2.13.1" revision commit))
       (source (origin
                 (inherit (package-source pjproject))
                 ;; The Jami development team regularly issues patches to
@@ -1065,7 +1065,7 @@ (define-public xgoldmon
         (commit "f2d5372acee4e492f31f6ba8b850cfb48fbbe478"))
     (package
       (name "xgoldmon")
-      (version (git-version "1.0" revision commit))
+      (version (make-git-version "1.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/terminals.scm b/gnu/packages/terminals.scm
index 0579ddb22af..f23b7c1034a 100644
--- a/gnu/packages/terminals.scm
+++ b/gnu/packages/terminals.scm
@@ -272,7 +272,7 @@ (define-public libtsm
         (revision "1"))
     (package
       (name "libtsm")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -312,7 +312,7 @@ (define-public kmscon
         (revision "1"))
     (package
       (name "kmscon")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 ;; The freedesktop repository is no longer maintained.
@@ -558,7 +558,7 @@ (define-public beep
         (revision "0"))
     (package
       (name "beep")
-      (version (git-version "1.4.12" revision commit))
+      (version (make-git-version "1.4.12" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -969,7 +969,7 @@ (define-public xiate
         (revision "0"))
     (package
       (name "xiate")
-      (version (git-version "22.12" revision commit))
+      (version (make-git-version "22.12" revision commit))
       (source (origin
                 (method git-fetch)
                 (file-name (git-file-name name version))
diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index b9a3c2222b8..13182d7f75b 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -77569,7 +77569,7 @@ (define-public teximpatient
         (revision "0"))
     (package
       (name "teximpatient")
-      (version (git-version "2.4" revision commit))
+      (version (make-git-version "2.4" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -77606,7 +77606,8 @@ (define-public teximpatient
                         (substitute* "eplain.tex"
                           (("timestamp.*%")
                            (string-append "timestamp{"
-                                          ,version "}"))))))))
+                                          ,(package-version
+                                            this-package) "}"))))))))
       (native-inputs
        (list autoconf
              automake
diff --git a/gnu/packages/texinfo.scm b/gnu/packages/texinfo.scm
index ea7b54b51d7..c53ed382c70 100644
--- a/gnu/packages/texinfo.scm
+++ b/gnu/packages/texinfo.scm
@@ -326,7 +326,7 @@ (define-public pinfo
     (package
       (name "pinfo")
       ;; Latest tag is completely broken and does not build.
-      (version (git-version "0.6.13" revision commit))
+      (version (make-git-version "0.6.13" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 5658da981f5..3d6c1e5f8b6 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -236,7 +236,7 @@ (define-public lem
         (revision "8"))
     (package
       (name "lem")
-      (version (git-version "2.2.0" revision commit))
+      (version (make-git-version "2.2.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -887,7 +887,7 @@ (define-public l3afpad
         (revision "0"))
     (package
       (name "l3afpad")
-      (version (git-version "0.8.18.1.11" revision commit))
+      (version (make-git-version "0.8.18.1.11" revision commit))
       (source (origin
                 (method git-fetch)
                 (file-name (git-file-name name version))
diff --git a/gnu/packages/textutils.scm b/gnu/packages/textutils.scm
index a54a7636102..98173f0f3f8 100644
--- a/gnu/packages/textutils.scm
+++ b/gnu/packages/textutils.scm
@@ -1175,7 +1175,7 @@ (define-public html2text
         (revision "1"))
     (package
       (name "html2text")
-      (version (git-version "2.0.1_pre" revision commit))
+      (version (make-git-version "2.0.1_pre" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/time.scm b/gnu/packages/time.scm
index 66f9ef412ca..1f6b32967cb 100644
--- a/gnu/packages/time.scm
+++ b/gnu/packages/time.scm
@@ -124,7 +124,7 @@ (define-public pps-tools
         (revision "1"))
     (package
       (name "pps-tools")
-      (version (git-version "1.0.3" revision commit))
+      (version (make-git-version "1.0.3" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -679,7 +679,7 @@ (define-public rdate
         (revision "1"))
     (package
       (name "rdate")
-      (version (git-version "1.4" revision commit))
+      (version (make-git-version "1.4" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index 63beb09ef42..c991ae0f475 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -1135,7 +1135,7 @@ (define-public go-github-com-certifi-gocertifi
         (revision "1"))
     (package
       (name "go-github-com-certifi-gocertifi")
-      (version (git-version "2018.01.18" revision commit))
+      (version (make-git-version "2018.01.18" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/tmux.scm b/gnu/packages/tmux.scm
index ebd957c4ee9..e19071a2d4e 100644
--- a/gnu/packages/tmux.scm
+++ b/gnu/packages/tmux.scm
@@ -283,7 +283,7 @@ (define-public tmux-plugin-resurrect
         (revision "0"))
     (package
       (name "tmux-plugin-resurrect")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -333,7 +333,7 @@ (define-public tmux-plugin-continuum
         (revision "0"))
     (package
       (name "tmux-plugin-continuum")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/tor-browsers.scm b/gnu/packages/tor-browsers.scm
index fbcd9f933a7..c74c121de43 100644
--- a/gnu/packages/tor-browsers.scm
+++ b/gnu/packages/tor-browsers.scm
@@ -96,7 +96,7 @@ (define firefox-locales
         (revision "0"))
     (package
       (name "firefox-locales")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
         (origin
           (method git-fetch)
diff --git a/gnu/packages/toys.scm b/gnu/packages/toys.scm
index aee0848d460..fc543495b36 100644
--- a/gnu/packages/toys.scm
+++ b/gnu/packages/toys.scm
@@ -68,7 +68,7 @@ (define-public cbonsai
         (revision "1"))
     (package
       (name "cbonsai")
-      (version (git-version "1.3.1" revision commit))
+      (version (make-git-version "1.3.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -91,7 +91,7 @@ (define-public cbonsai
             (add-after 'install 'install-doc
               (lambda _
                 (let ((doc (format #f "~a/share/doc/~a-~a" #$output
-                                   #$name #$version)))
+                                   #$name #$(package-version this-package))))
                   (install-file "README.md" doc)))))))
       (native-inputs
        (list pkg-config scdoc))
@@ -108,7 +108,7 @@ (define-public cxxmatrix
         (revision "0"))
     (package
       (name "cxxmatrix")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -264,7 +264,7 @@ (define-public fortunes-jkirchartz
         (revision "1"))
     (package
       (name "fortunes-jkirchartz")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
index e09f3dc1710..c1f04cee517 100644
--- a/gnu/packages/tree-sitter.scm
+++ b/gnu/packages/tree-sitter.scm
@@ -326,7 +326,7 @@ (define-public tree-sitter-javascript
     (tree-sitter-grammar
      "javascript" "JavaScript(JSX)"
      "0vp7z57scpbcvyxpya06lnpz9f5kjdb66wjlkrp684xwjjgq1wxd"
-     (git-version "0.20.0" revision commit)
+     (make-git-version "0.20.0" revision commit)
      #:commit commit
      #:get-cleanup-snippet
      (lambda (grammar-directories)
@@ -358,7 +358,7 @@ (define-public tree-sitter-bibtex
     (tree-sitter-grammar
      "bibtex" "Bibtex"
      "0m7f3dkqbmy8x1bhl11m8f4p6n76wfvh99rp46zrqv39355nw1y2"
-     (git-version "0.1.0" revision commit)
+     (make-git-version "0.1.0" revision commit)
      #:repository-url "https://github.com/latex-lsp/tree-sitter-bibtex"
      #:commit commit
      #:license license:expat)))
@@ -404,7 +404,7 @@ (define-public tree-sitter-elixir
     (tree-sitter-grammar
      "elixir" "Elixir"
      "1i0c0xki3sv24649p0ws7xs2jagbwg7z7baz1960239bj94nl487"
-     (git-version "0.19.0" revision commit)
+     (make-git-version "0.19.0" revision commit)
      #:article "an"
      #:repository-url "https://github.com/elixir-lang/tree-sitter-elixir"
      #:commit commit
@@ -429,7 +429,7 @@ (define-public tree-sitter-blueprint
     (tree-sitter-grammar
      "blueprint" "Blueprint"
      "0pdjka1sdw9dwilw3vjl3k3cn7pcyv7m57cmxqibashg316dygxm"
-     (git-version "0.0.0" revision commit) ; Upstream has not tagged any releases
+     (make-git-version "0.0.0" revision commit) ; Upstream has not tagged any releases
      #:repository-url "https://github.com/huanie/tree-sitter-blueprint"
      #:commit commit
      #:license license:expat)))
@@ -455,7 +455,7 @@ (define-public tree-sitter-erlang
   (tree-sitter-grammar
    "erlang" "Erlang"
    "1h0c9qc6i0kz5a0yq68xp623f84g4mc8hcp00khdbf7y7z7b9izc"
-   (git-version version revision commit)
+   (make-git-version version revision commit)
    #:repository-url "https://github.com/WhatsApp/tree-sitter-erlang"
    #:commit commit)))
 
@@ -487,7 +487,7 @@ (define-public tree-sitter-haskell
     (tree-sitter-grammar
      "haskell" "Haskell"
      "1hg19af1n510bndf5k5iri7dzb48xb527vispv1aapki4mvr98gx"
-     (git-version "0.14.0" revision commit)
+     (make-git-version "0.14.0" revision commit)
      #:commit commit)))
 
 (define-public tree-sitter-hcl
@@ -541,7 +541,7 @@ (define-public tree-sitter-php
     (tree-sitter-grammar
      "php" "PHP"
      "02yc5b3qps8ghsmy4b5m5kldyr5pnqz9yw663v13pnz92r84k14g"
-     (git-version "0.19.0" revision commit)
+     (make-git-version "0.19.0" revision commit)
      #:commit commit)))
 
 (define-public tree-sitter-prisma
@@ -565,7 +565,7 @@ (define-public tree-sitter-r
     (tree-sitter-grammar
      "r" "R"
      "1n7yxi2wf9xj8snw0b85a5w40vhf7x1pwirnwfk78ilr6hhz4ix9"
-     (git-version "0.0.1" revision commit)
+     (make-git-version "0.0.1" revision commit)
      #:commit commit)))
 
 (define-public tree-sitter-ron
@@ -583,7 +583,7 @@ (define-public tree-sitter-ruby
     (tree-sitter-grammar
      "ruby" "Ruby"
      "1pqr24bj68lgi1w2cblr8asfby681l3032jrppq4n9x5zm23fi6n"
-     (git-version "0.19.0" revision commit)
+     (make-git-version "0.19.0" revision commit)
      #:commit commit)))
 
 (define-public tree-sitter-rust
@@ -599,7 +599,7 @@ (define-public tree-sitter-ungrammar
     (tree-sitter-grammar
      "ungrammar" "Ungrammar"
      "09bbml1v1m6a9s9y9q1p2264ghf3fhb6kca1vj3qm19yq87xrnvy"
-     (git-version "0.0.2" revision commit)
+     (make-git-version "0.0.2" revision commit)
      #:commit commit
      #:repository-url "https://github.com/tree-sitter-grammars/tree-sitter-ungrammar"
      #:article "an")))
@@ -651,7 +651,7 @@ (define-public tree-sitter-matlab
     (tree-sitter-grammar
      "matlab" "Matlab"
      "04ffhfnznskkcp91fbnv8jy3wkb9cd8ifwrkrdwcw74n1b2hq80c"
-     (git-version "1.0.2" revision commit)
+     (make-git-version "1.0.2" revision commit)
      #:repository-url "https://github.com/acristoffers/tree-sitter-matlab"
      #:commit commit
      #:license license:expat)))
@@ -663,7 +663,7 @@ (define-public tree-sitter-meson
     (tree-sitter-grammar
      "meson" "Meson"
      "1rn7r76h65d41354czyccm59d1j9nzybcrjvjh934lpr59qrw61m"
-     (git-version "1.2" revision commit)
+     (make-git-version "1.2" revision commit)
      #:repository-url "https://github.com/Decodetalkers/tree-sitter-meson"
      #:commit commit
      #:license license:expat)))
@@ -684,7 +684,7 @@ (define-public tree-sitter-org
     (tree-sitter-grammar
      "org" "Org"
      "0h9krbaq9j6ijf86sg0w221s0zbpbx5f7m1l0whzjahbrqpnqgxl"
-     (git-version "1.3.1" revision commit)
+     (make-git-version "1.3.1" revision commit)
      #:repository-url "https://github.com/milisims/tree-sitter-org"
      #:commit commit)))
 
@@ -695,7 +695,7 @@ (define-public tree-sitter-scheme
     (tree-sitter-grammar
      "scheme" "Scheme (R5RS, R6RS)"
      "1pvxckza1kdfwqs78ka3lbwldrwkgymb31f5x1fq5vyawg60wxk8"
-     (git-version "0.2.0" revision commit)
+     (make-git-version "0.2.0" revision commit)
      #:repository-url "https://github.com/6cdh/tree-sitter-scheme"
      #:commit commit)))
 
@@ -713,7 +713,7 @@ (define-public tree-sitter-racket
     (tree-sitter-grammar
      "racket" "Racket"
      "06gwn3i7swhkvbkgxjlljdjgvx8y1afafbqmpwya70r9z635593h"
-     (git-version "0.1.0" revision commit)
+     (make-git-version "0.1.0" revision commit)
      #:repository-url "https://github.com/6cdh/tree-sitter-racket"
      #:commit commit)))
 
@@ -724,7 +724,7 @@ (define-public tree-sitter-plantuml
     (tree-sitter-grammar
      "plantuml" "PlantUML"
      "0swqq4blhlvvgrvsb0h4cjl3pnfmmdpfd5r5kg9rpdwk0sn98x3a"
-     (git-version "1.0.0" revision commit)
+     (make-git-version "1.0.0" revision commit)
      #:repository-url "https://github.com/Decodetalkers/tree_sitter_plantuml"
      #:commit commit
      #:get-cleanup-snippet
@@ -785,7 +785,7 @@ (define-public tree-sitter-verilog
     (tree-sitter-grammar
      "verilog" "Verilog"
      "0j5iycqm5dmvzy7dssm8km1djhr7hnfgk26zyzcxanhrwwq3wi4k"
-     (git-version version revision commit)
+     (make-git-version version revision commit)
      #:commit commit
      #:get-cleanup-snippet
      (lambda _
@@ -801,7 +801,7 @@ (define-public tree-sitter-vhdl
     (tree-sitter-grammar
      "vhdl" "VHDL"
      "0gz2b0qg1jzi2q6wgj6k6g35kmni3pqglq4f5kblkxx909463n8a"
-     (git-version version revision commit)
+     (make-git-version version revision commit)
      #:repository-url "https://github.com/alemuller/tree-sitter-vhdl"
      #:commit commit
      #:get-cleanup-snippet