diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 06d042a519d..5e04af77020 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -906,7 +906,7 @@ (define-public gitless
         (revision "0"))
     (package
       (name "gitless")
-      (version (git-version "0.8.8" revision commit))
+      (version (make-git-version "0.8.8" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1213,7 +1213,7 @@ (define-public xdiff
     (package
       (name "xdiff")
       ;; The base version is taken from the CMakeLists.txt file.
-      (version (git-version "0.1" revision commit))
+      (version (make-git-version "0.1" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1463,7 +1463,7 @@ (define-public git-issue
         (revision "0"))
     (package
       (name "git-issue")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1718,7 +1718,7 @@ (define-public cgit
     (package
       (name "cgit")
       ;; Update the ‘git-source’ input as well.
-      (version (git-version "1.2.3" rev commit))
+      (version (make-git-version "1.2.3" rev commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -2892,7 +2892,7 @@ (define-public hg-commitsigs
         (revision "0"))
     (package
       (name "hg-commitsigs")
-      (version (git-version "0.1.0" revision changeset))
+      (version (make-git-version "0.1.0" revision changeset))
       (source (origin
                 (method hg-fetch)
                 (uri (hg-reference
diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index 4e0dcee4cf2..f549c3f3dd8 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -964,7 +964,7 @@ (define-public libx264
         (revision "0"))
     (package
       (name "libx264")
-      (version (git-version version revision commit))
+      (version (make-git-version version revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -2407,7 +2407,7 @@ (define-public gpac
       (name "gpac")
       ;; Use a git snapshot of the master branch, as it fixes build issues
       ;; when using a recent ffmpeg release.
-      (version (git-version "2.4.0" revision commit))
+      (version (make-git-version "2.4.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -3949,7 +3949,7 @@ (define-public twitchy
   (let ((commit "9beb36d80b16662414129693e74fa3a2fd97554e")) ; 3.4 has no tag
     (package
       (name "twitchy")
-      (version (git-version "3.4" "1" commit))
+      (version (make-git-version "3.4" "1" commit))
       (source
        (origin
          (method git-fetch)
@@ -5228,7 +5228,7 @@ (define-public h264bitstream
         (revision "1"))
     (package
       (name "h264bitstream")
-      (version (git-version "0.2.0" revision commit))
+      (version (make-git-version "0.2.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -5957,7 +5957,7 @@ (define-public subdl
         (revision "1"))
     (package
       (name "subdl")
-      (version (git-version "1.0.3" revision commit))
+      (version (make-git-version "1.0.3" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -6055,7 +6055,7 @@ (define-public vidstab
         (revision "0"))
     (package
       (name "vidstab")
-      (version (git-version "1.1.0" revision commit))
+      (version (make-git-version "1.1.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -6305,7 +6305,7 @@ (define-public wlstream
         (revision "1"))
     (package
       (name "wlstream")
-      (version (git-version "0.0" revision commit))
+      (version (make-git-version "0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -6398,7 +6398,7 @@ (define-public theorafile
   (let ((commit "ea5fd6d34053ff72b0abe83fa4f2cd0771d92663"))
     (package
       (name "theorafile")
-      (version (git-version "0.0.0" "2" commit))
+      (version (make-git-version "0.0.0" "2" commit))
       (source
        (origin
          (method git-fetch)
@@ -6873,7 +6873,7 @@ (define-public libcaption
         (revision "0"))
     (package
       (name "libcaption")
-      (version (git-version "0.7" revision commit))
+      (version (make-git-version "0.7" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/vim.scm b/gnu/packages/vim.scm
index ccd950d9c91..0c37ee7fbcf 100644
--- a/gnu/packages/vim.scm
+++ b/gnu/packages/vim.scm
@@ -409,7 +409,7 @@ (define-public vim-scheme
         (revision "3"))
     (package
       (name "vim-scheme")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -485,7 +485,7 @@ (define-public vim-coqtail
         (revision "1"))
     (package
       (name "vim-coqtail")
-      (version (git-version "1.7.1" revision commit))
+      (version (make-git-version "1.7.1" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -614,7 +614,7 @@ (define-public vim-airline-themes
         (revision "2"))
     (package
       (name "vim-airline-themes")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -675,7 +675,7 @@ (define-public vim-solarized
         (revision "1"))
     (package
       (name "vim-solarized")
-      (version (git-version "1.0.0beta1" revision commit))
+      (version (make-git-version "1.0.0beta1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -775,7 +775,7 @@ (define-public neovim-packer
         (revision "0"))
     (package
       (name "neovim-packer")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1120,7 +1120,7 @@ (define-public vim-dispatch
         (revision "1"))
     (package
       (name "vim-dispatch")
-      (version (git-version "1.8" revision commit))
+      (version (make-git-version "1.8" revision commit))
       (source
         (origin
           (method git-fetch)
@@ -1153,7 +1153,7 @@ (define-public vim-gemini-vim
         (revision "1"))
     (package
       (name "vim-gemini-vim")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
         (origin
           (method git-fetch)
@@ -1178,7 +1178,7 @@ (define-public vim-eunuch
         (revision "1"))
     (package
       (name "vim-eunuch")
-      (version (git-version "1.2" revision commit))
+      (version (make-git-version "1.2" revision commit))
       (source
         (origin
           (method git-fetch)
@@ -1205,7 +1205,7 @@ (define-public vim-slime
         (revision "1"))
     (package
       (name "vim-slime")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
         (origin
           (method git-fetch)
@@ -1233,7 +1233,7 @@ (define-public vim-vlime
         (revision "1"))
     (package
     (name "vim-vlime")
-    (version (git-version "0.4.0" revision commit))
+    (version (make-git-version "0.4.0" revision commit))
     (source
      (origin
        (method git-fetch)
@@ -1286,7 +1286,7 @@ (define-public vim-paredit
         (revision "1"))
     (package
       (name "vim-paredit")
-      (version (git-version "0.9.11" revision commit))
+      (version (make-git-version "0.9.11" revision commit))
       (source
         (origin
           (method git-fetch)
@@ -1421,7 +1421,7 @@ (define-public vim-gitgutter
         (revision "1"))
     (package
       (name "vim-gitgutter")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1565,7 +1565,7 @@ (define-public vim-vader
         (commit "429b669e6158be3a9fc110799607c232e6ed8e29"))
     (package
       (name "vim-vader")
-      (version (git-version "0.4.0" revision commit))
+      (version (make-git-version "0.4.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1664,7 +1664,7 @@ (define-public vim-commentary
         (revision "1"))
     (package
       (name "vim-commentary")
-      (version (git-version "1.3" revision commit))
+      (version (make-git-version "1.3" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1694,7 +1694,7 @@ (define-public vim-guile
         (revision "1"))
     (package
       (name "vim-guile")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1722,7 +1722,7 @@ (define-public vim-dhall-vim
         (revision "1"))
     (package
       (name "vim-dhall-vim")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1748,7 +1748,7 @@ (define-public vim-mundo
         (revision "1"))
     (package
       (name "vim-mundo")
-      (version (git-version "3.1.0" revision commit))
+      (version (make-git-version "3.1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1772,7 +1772,7 @@ (define-public vim-zig
         (revision "1"))
     (package
       (name "vim-zig")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1798,7 +1798,7 @@ (define-public vim-plantuml-syntax
         (revision "1"))
     (package
       (name "vim-plantuml-syntax")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/vnc.scm b/gnu/packages/vnc.scm
index c4051c76729..f8afcf15e95 100644
--- a/gnu/packages/vnc.scm
+++ b/gnu/packages/vnc.scm
@@ -596,7 +596,7 @@ (define-public x11vnc
         (revision "0"))
     (package
       (name "x11vnc")
-      (version (git-version "0.9.16" revision commit))
+      (version (make-git-version "0.9.16" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/vpn.scm b/gnu/packages/vpn.scm
index ed067f0e021..fec663cf1f2 100644
--- a/gnu/packages/vpn.scm
+++ b/gnu/packages/vpn.scm
@@ -296,7 +296,7 @@ (define-public gp-saml-gui
         (revision "1"))
     (package
       (name "gp-saml-gui")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (home-page "https://github.com/dlenski/gp-saml-gui")
       (source (origin
                 (method git-fetch)