diff --git a/gnu/packages/web-browsers.scm b/gnu/packages/web-browsers.scm
index cf70505ac58..2d17fd4d14a 100644
--- a/gnu/packages/web-browsers.scm
+++ b/gnu/packages/web-browsers.scm
@@ -235,7 +235,7 @@ (define-public elinks
         (revision "2"))
     (package
       (name "elinks")
-      (version (git-version "0.18.0" revision commit))
+      (version (make-git-version "0.18.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -522,7 +522,7 @@ (define-public kristall
                  (url "https://github.com/Alexhuszagh/BreezeStyleSheets")
                  (commit "2d595a956f8a5f493aa51139a470b768a6d82cce")))
                (file-name (git-file-name "breeze-stylesheet"
-                                         (git-version "0" revision commit)))
+                                         (make-git-version "0" revision commit)))
                (sha256
                 (base32
                  "1kvkxkisi3czldnb43ig60l55pi4a3m2a4ixp7krhpf9fc5wp294")))))))
@@ -1083,7 +1083,7 @@ (define-public leo
         (revision "1"))
     (package
       (name "leo")
-      (version (git-version version revision commit))
+      (version (make-git-version version revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 61c9ec63a5c..82630006e6a 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -726,7 +726,7 @@ (define-public nginx-accept-language-module
         (revision "1"))
     (package
       (name "nginx-accept-language-module")
-      (version (git-version "0.0.0" ;upstream has no version number
+      (version (make-git-version "0.0.0" ;upstream has no version number
                             revision commit))
       (source
        (origin
@@ -1243,7 +1243,7 @@ (define-public fcgiwrap
         (revision "1"))
     (package
       (name "fcgiwrap")
-      (version (git-version "1.1.0" revision commit))
+      (version (make-git-version "1.1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1693,7 +1693,7 @@ (define-public rapidjson
         (revision "1"))
     (package
       (name "rapidjson")
-      (version (git-version "1.1.0" revision commit))
+      (version (make-git-version "1.1.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1893,7 +1893,7 @@ (define-public wasm3
   (let ((commit "139076a98b8321b67f850a844f558b5e91b5ac83"))
     (package
       (name "wasm3")
-      (version (git-version "0.5.0" "1" commit))
+      (version (make-git-version "0.5.0" "1" commit))
       (source
        (origin
          (method git-fetch)
@@ -5839,7 +5839,7 @@ (define-public pup
         (commit "681d7bb639334bf485476f5872c5bdab10931f9a"))
     (package
       (name "pup")
-      (version (git-version "0.4.0" revision commit))
+      (version (make-git-version "0.4.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -6660,7 +6660,7 @@ (define-public surfraw
         (revision "0"))
     (package
       (name "surfraw")
-      (version (git-version "2.3.0" revision commit))
+      (version (make-git-version "2.3.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -7241,7 +7241,7 @@ (define-public http-parser
         (revision "1"))
     (package
       (name "http-parser")
-      (version (git-version "2.9.4" revision commit))
+      (version (make-git-version "2.9.4" revision commit))
       (home-page "https://github.com/nodejs/http-parser")
       (source
        (origin
@@ -7446,7 +7446,7 @@ (define-public nntpit
         (revision "0"))
     (package
       (name "nntpit")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -8559,7 +8559,7 @@ (define-public gophernicus
         (revision "0"))
     (package
       (name "gophernicus")
-      (version (git-version "3.1.1" revision commit))
+      (version (make-git-version "3.1.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -8583,11 +8583,13 @@ (define-public gophernicus
                    (lambda _
                      (substitute* "Makefile.in"
                        (("^(VERSION += ).*" _ prefix)
-                        (string-append prefix #$version "\n")))
+                        (string-append prefix
+                                       #$(package-version this-package) "\n")))
                      ;; This is done in the release.sh script.
                      (substitute* "README.md"
                        (("^(This release: Version )DEVEL\\b.*" _ prefix)
-                        (string-append prefix #$version "\n"))
+                        (string-append prefix
+                                       #$(package-version this-package) "\n"))
                        (("^NOTE: The master branch is rolling Development\\b.*")
                         ""))))
                  (replace 'configure
@@ -8692,7 +8694,7 @@ (define-public monsterid
         (revision "0"))
     (package
       (name "monsterid")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -8721,7 +8723,7 @@ (define-public cat-avatar-generator
         (revision "1"))
     (package
       (name "cat-avatar-generator")
-      (version (git-version "1" revision commit))
+      (version (make-git-version "1" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -9733,7 +9735,7 @@ (define-public quark
         (commit "c6a9055e5a30be570e30da8d216c39662c3a3f99"))
     (package
       (name "quark")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -9770,7 +9772,7 @@ (define-public go-webring
         (revision "0"))
     (package
       (name "go-webring")
-      (version (git-version "20220426" revision commit))
+      (version (make-git-version "20220426" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index a660798e858..2a609c345e6 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -342,7 +342,7 @@ (define-public hypridle
         (revision "1"))
     (package
       (name "hypridle")
-      (version (git-version "0.1.6" revision commit))
+      (version (make-git-version "0.1.6" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -2381,7 +2381,7 @@ (define-public shaderbg
         (revision "0"))
    (package
     (name "shaderbg")
-    (version (git-version "0" revision commit))
+    (version (make-git-version "0" revision commit))
     (source
      (origin
        (method git-fetch)
@@ -2695,7 +2695,7 @@ (define-public wlopm
         (revision "0"))
     (package
       (name "wlopm")
-      (version (git-version "1.0.0" revision commit))
+      (version (make-git-version "1.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2913,7 +2913,7 @@ (define stumpwm-contrib
         (revision "7"))
     (package
       (name "stumpwm-contrib")
-      (version (git-version "0.0.1" revision commit)) ;no upstream release
+      (version (make-git-version "0.0.1" revision commit)) ;no upstream release
       (source
        (origin
          (method git-fetch)
@@ -2960,7 +2960,7 @@ (define-public sbcl-stumpwm-pamixer
         (revision "1"))
     (package
       (name "sbcl-stumpwm-pamixer")
-      (version (git-version "0.1.1" revision commit))
+      (version (make-git-version "0.1.1" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -3516,7 +3516,7 @@ (define-public xinitrc-xsession
         (revision "0"))
     (package
       (name "xinitrc-xsession")
-      (version (git-version "1" revision commit))
+      (version (make-git-version "1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -4149,7 +4149,7 @@ (define-public grimblast
         (revision "1"))
     (package
       (name "grimblast")
-      (version (git-version "0.1" revision commit))
+      (version (make-git-version "0.1" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -4258,7 +4258,7 @@ (define-public wld
         (revision "1"))
     (package
       (name "wld")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -4291,7 +4291,7 @@ (define-public swc
         (revision "1"))
     (package
       (name "swc")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -4337,7 +4337,7 @@ (define-public velox
         (revision "1"))
     (package
       (name "velox")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -4403,7 +4403,7 @@ (define-public wsbg
     (package
       (inherit swaybg)
       (name "wsbg")
-      (version (git-version version revision commit))
+      (version (make-git-version version revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/wxwidgets.scm b/gnu/packages/wxwidgets.scm
index c961c29536b..909144790bc 100644
--- a/gnu/packages/wxwidgets.scm
+++ b/gnu/packages/wxwidgets.scm
@@ -259,7 +259,7 @@ (define-public prusa-wxwidgets
     (package
       (inherit wxwidgets-sans-egl)
       (name "prusa-wxwidgets")
-      (version (git-version "3.2.0" revision commit))
+      (version (make-git-version "3.2.0" revision commit))
       (home-page "https://github.com/prusa3d/wxWidgets")
       (source
        (origin