diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
index 06b333ef32f..93a29d4f60a 100644
--- a/gnu/packages/c.scm
+++ b/gnu/packages/c.scm
@@ -84,7 +84,7 @@ (define-public c-intro-and-ref
         (commit "47e5a234a7c036392e0f9e1e8e48ff3e6855840d"))
     (package
       (name "c-intro-and-ref")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -123,7 +123,7 @@ (define-public c-rrb
         (revision "0"))
     (package
      (name "c-rrb")
-     (version (git-version "0.1.0" revision commit))
+     (version (make-git-version "0.1.0" revision commit))
      (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -152,7 +152,7 @@ (define-public cproc
         (revision "1"))
     (package
       (name "cproc")
-      (version (git-version "0.0" revision commit))
+      (version (make-git-version "0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -246,7 +246,7 @@ (define-public tcc
         (commit "a83b28568596afd8792fd58d1a5bd157fc6b6634"))
     (package
       (name "tcc")                      ;aka. "tinycc"
-      (version (git-version "0.9.27" revision commit))
+      (version (make-git-version "0.9.27" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -306,7 +306,7 @@ (define-public tomlc99
         (commit "5221b3d3d66c25a1dc6f0372b4f824f1202fe398"))
     (package
       (name "tomlc99")
-      (version (git-version "1.0" revision commit))
+      (version (make-git-version "1.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -641,7 +641,7 @@ (define-public libwuya
         (commit "883502041044f4616cfbf75c8f2bb60059f704a9"))
     (package
       (name "libwuya")
-      (version (git-version "0.0" revision commit))
+      (version (make-git-version "0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -776,7 +776,7 @@ (define-public c-template-sort
         (revision "0"))
   (package
     (name "c-template-sort")
-    (version (git-version "0.0.0" revision commit))
+    (version (make-git-version "0.0.0" revision commit))
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -1433,7 +1433,7 @@ (define-public orangeduck-mpc
         (revision "0"))
     (package
       (name "orangeduck-mpc")
-      (version (git-version "0.9.0" revision commit))
+      (version (make-git-version "0.9.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1634,7 +1634,7 @@ (define-public utf8-h
         (revision "0"))
     (package
       (name "utf8-h")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1696,7 +1696,7 @@ (define-public utest-h
         (revision "0"))
     (package
       (name "utest-h")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1823,7 +1823,7 @@ (define-public pcg-c
         (revision "1"))
     (package
       (name "pcg-c")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/calendar.scm b/gnu/packages/calendar.scm
index faf7779ce73..c9f56eb8be0 100644
--- a/gnu/packages/calendar.scm
+++ b/gnu/packages/calendar.scm
@@ -74,7 +74,7 @@ (define-public adl-submit
         (revision "0"))
     (package
       (name "adl-submit")
-      (version (git-version "1.0" revision commit))
+      (version (make-git-version "1.0" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/cdrom.scm b/gnu/packages/cdrom.scm
index bcfdc267787..7e2d18b32cd 100644
--- a/gnu/packages/cdrom.scm
+++ b/gnu/packages/cdrom.scm
@@ -806,7 +806,7 @@ (define-public geteltorito
         (revision "1"))          ;Guix package revision
     (package
       (name "geteltorito")
-      (version (git-version "0.6" revision commit))
+      (version (make-git-version "0.6" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/certs.scm b/gnu/packages/certs.scm
index e2de6b168b4..d0a27e093bd 100644
--- a/gnu/packages/certs.scm
+++ b/gnu/packages/certs.scm
@@ -47,7 +47,7 @@ (define-public desec-certbot-hook
     (package
       (name "desec-certbot-hook")
       (version
-       (git-version "0" revision commit))
+       (make-git-version "0" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 1ad5e40abab..59af54c94bf 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -713,7 +713,7 @@ (define-public cbehave
         (revision "1"))
     (package
       (name "cbehave")
-      (version (git-version "0.2.0" revision commit))
+      (version (make-git-version "0.2.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -990,7 +990,7 @@ (define-public ftest
         (revision "0"))
     (package
       (name "ftest")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1284,7 +1284,7 @@ (define-public klee-uclibc
   (let ((commit "955d502cc1f0688e82348304b053ad787056c754"))
     (package
       (name "klee-uclibc")
-      (version (git-version "20230612" "0" commit))
+      (version (make-git-version "20230612" "0" commit))
       (source
        (origin
          (method git-fetch)
@@ -3807,7 +3807,7 @@ (define-public rapidcheck
         (revision "1"))
     (package
       (name "rapidcheck")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -3929,7 +3929,7 @@ (define-public virtest
         (revision "0"))
     (package
       (name "virtest")
-      (version (git-version "0.0" revision commit))
+      (version (make-git-version "0.0" revision commit))
       (home-page "https://github.com/mattkretz/virtest")
       (source (origin
                 (method git-fetch)
@@ -4255,7 +4255,7 @@ (define-public uitest
         (revision "0"))
     (package
       (name "uitest")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -4283,7 +4283,7 @@ (define-public munit
         (revision "1"))
     (package
       (name "munit")
-      (version (git-version "0.2.0" revision commit))
+      (version (make-git-version "0.2.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 9e9f3bf6609..1dbf8336874 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -901,7 +901,7 @@ (define-public python-pyscf-properties
         (revision "1"))
     (package
       (name "python-pyscf-properties")
-      (version (git-version "0.1" revision commit))
+      (version (make-git-version "0.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1461,7 +1461,7 @@ (define-public pubchem-align3d
         (revision "0"))
     (package
       (name "pubchem-align3d")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1715,7 +1715,7 @@ (define-public xcfun
        ("autocmake-src"
         ,(let* ((commit "77a1f851f08af1cbe0d95fd7dba4a16a14264412")
                 (revision "0")
-                (version (git-version "1.0.0" revision commit)))
+                (version (make-git-version "1.0.0" revision commit)))
            (origin
              (method git-fetch)
              (uri (git-reference
diff --git a/gnu/packages/chez.scm b/gnu/packages/chez.scm
index cc0326bbbdd..80003464012 100644
--- a/gnu/packages/chez.scm
+++ b/gnu/packages/chez.scm
@@ -709,7 +709,7 @@ (define-public stex-bootstrap
        ;; command-line tools, and there isn't a Scheme API, let alone a
        ;; Chez-specific one, except perhaps that the Scheme examples are
        ;; assumed to be Chez-compatible.
-       (version (git-version "1.2.2" revision commit))
+       (version (make-git-version "1.2.2" revision commit))
        (source
         (origin
           (method git-fetch)
@@ -976,7 +976,7 @@ (define-public chez-web
     (package
       (name "chez-web")
       ;; Release 2.0 is different and doesn't work.
-      (version (git-version "2.0" revision commit))
+      (version (make-git-version "2.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1000,7 +1000,7 @@ (define-public chez-web
         #:make-flags
         #~(list (string-append "PREFIX=" #$output)
                 (string-append "DOCDIR=" #$output "/share/doc/"
-                               #$name "-" #$version)
+                               #$name "-" #$(package-version this-package))
                 ;; lib/chez-scheme/chezweb ???
                 (string-append "LIBDIR=" #$output "/lib/chezweb")
                 (string-append "TEXDIR=" #$output "/share/texmf-local"))
@@ -1043,7 +1043,7 @@ (define-public chez-sockets
         (revision "1"))
     (package
       (name "chez-sockets")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1116,7 +1116,9 @@ (define-public chez-sockets
                 (install-file "sockets.pdf"
                               (string-append #$output
                                              "/share/doc/"
-                                             #$name "-" #$version)))))))
+                                             #$name "-"
+                                             #$(package-version
+                                                this-package))))))))
       (home-page "https://github.com/arcfide/chez-sockets")
       (synopsis "Extensible sockets library for Chez Scheme")
       (description "Chez-sockets is an extensible sockets library for
diff --git a/gnu/packages/ci.scm b/gnu/packages/ci.scm
index 557b15c0ff6..b0f7f56d539 100644
--- a/gnu/packages/ci.scm
+++ b/gnu/packages/ci.scm
@@ -73,7 +73,7 @@ (define-public cuirass
         (revision "12"))
     (package
       (name "cuirass")
-      (version (git-version "1.2.0" revision commit))
+      (version (make-git-version "1.2.0" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/cmake.scm b/gnu/packages/cmake.scm
index 608080954f3..3a4bc7ac9e2 100644
--- a/gnu/packages/cmake.scm
+++ b/gnu/packages/cmake.scm
@@ -74,7 +74,7 @@ (define-public cmake-shared
     (package
       (name "cmake-shared")
       (version
-       (git-version "1.1.0" revision commit))
+       (make-git-version "1.1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -572,7 +572,7 @@ (define-public qmsetup
     (package
       (name "qmsetup")
       ;; The base version string is retrieved from the CMakeLists.txt file.
-      (version (git-version "0.0.1.5" revision commit))
+      (version (make-git-version "0.0.1.5" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -614,7 +614,7 @@ (define-public tinycmmc
         (revision "0"))
     (package
       (name "tinycmmc")
-      (version (git-version "0.1.0" revision commit))
+      (version (make-git-version "0.1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -660,7 +660,7 @@ (define-public sanitizers-cmake
         (revision "0"))
     (package
       (name "sanitizers-cmake")
-      (version (git-version "0.0" revision commit))
+      (version (make-git-version "0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/code.scm b/gnu/packages/code.scm
index 9ab21880c86..fce1669bce5 100644
--- a/gnu/packages/code.scm
+++ b/gnu/packages/code.scm
@@ -106,7 +106,7 @@ (define-module (gnu packages code)
 (define-public amalgamate
   (let* ((commit "c91f07eea1133aa184f652b8f1398eaf03586208")
          (revision "0")
-         (version (git-version "1.1.1" revision commit)))
+         (version (make-git-version "1.1.1" revision commit)))
     (package
       (name "amalgamate")
       (version version)
@@ -910,7 +910,7 @@ (define-public indent
         (revision "0"))
     (package
       (name "indent")
-      (version (git-version "2.2.13" revision commit))
+      (version (make-git-version "2.2.13" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -935,8 +935,8 @@ (define-public indent
 @set UPDATED
 @set EDITION ~a
 @set VERSION ~a"
-                                 #$version
-                                 #$version))))))))
+                                 #$(package-version this-package)
+                                 #$(package-version this-package)))))))))
       (native-inputs
        (list autoconf-2.71 automake gettext-minimal texinfo))
       (home-page "https://www.gnu.org/software/indent/")
diff --git a/gnu/packages/compression.scm b/gnu/packages/compression.scm
index b0fd58ccfba..868c45d7e78 100644
--- a/gnu/packages/compression.scm
+++ b/gnu/packages/compression.scm
@@ -426,7 +426,7 @@ (define-public lbzip2
         (revision "0"))
     (package
       (name "lbzip2")
-      (version (git-version "2.5" revision commit))
+      (version (make-git-version "2.5" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -890,7 +890,7 @@ (define-public sfarkxtc
         (revision "1"))
     (package
       (name "sfarkxtc")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 ;; There are no release tarballs, so we just fetch the latest
                 ;; commit at this time.
@@ -2062,7 +2062,7 @@ (define-public ziptime
         (revision "0"))
   (package
     (name "ziptime")
-    (version (git-version "0.0.0" revision commit))
+    (version (make-git-version "0.0.0" revision commit))
     (source
      (origin
        (method git-fetch)
@@ -2091,7 +2091,8 @@ (define-public ziptime
            (lambda* (#:key outputs #:allow-other-keys)
              (let* ((out (assoc-ref outputs "out"))
                     (bin (string-append out "/bin"))
-                    (doc (string-append out "/share/doc/" ,name "-" ,version)))
+                    (doc (string-append out "/share/doc/" ,name "-"
+                                        ,(package-version this-package))))
                (install-file "ziptime" bin)
                (install-file "README.txt" doc)))))))
     ;; There is no separate home page for this tiny bundled build tool.
@@ -2636,7 +2637,7 @@ (define-public makeself-safeextract
   (let ((commit "1a95e121fa8e3c02d307ae37b9b7834e616c3683"))
     (package
       (name "makeself-safeextract")
-      (version (git-version "0.0.0" "1" commit))
+      (version (make-git-version "0.0.0" "1" commit))
       (home-page "https://github.com/ssokolow/makeself_safeextract")
       (source
        (origin
diff --git a/gnu/packages/coq.scm b/gnu/packages/coq.scm
index 3ef91ad78ac..1c33c104c62 100644
--- a/gnu/packages/coq.scm
+++ b/gnu/packages/coq.scm
@@ -139,7 +139,7 @@ (define-public proof-general
         (revision "2"))
     (package
       (name "proof-general")
-      (version (git-version "4.5" revision commit))
+      (version (make-git-version "4.5" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 1a991ac08c2..e61c6271995 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -139,7 +139,7 @@ (define-public argagg
   (let ((commit "79e4adfa2c6e2bfbe63da05cc668eb9ad5596748") (revision "0"))
     (package
       (name "argagg")
-      (version (git-version "0.4.6" revision commit))
+      (version (make-git-version "0.4.6" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -180,7 +180,7 @@ (define-public argpp
         (revision "0"))
     (package
       (name "argpp")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -206,7 +206,7 @@ (define-public asmjit
         (revision "2"))
     (package
       (name "asmjit")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -647,7 +647,7 @@ (define-public rct
          (revision "2"))
     (package
       (name "rct")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -787,7 +787,7 @@ (define-public xdgpp
         (revision "0"))
     (package
       (name "xdgpp")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -853,7 +853,7 @@ (define-public icecream-cpp
         (revision "0"))
     (package
       (name "icecream-cpp")
-      (version (git-version "0.3.1" revision commit))
+      (version (make-git-version "0.3.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1122,7 +1122,7 @@ (define-public frozen
         (revision "0"))
     (package
       (name "frozen")
-      (version (git-version "1.1.1" revision commit))
+      (version (make-git-version "1.1.1" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1267,7 +1267,7 @@ (define-public jthread
         (revision "0"))
     (package
       (name "jthread")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1327,7 +1327,8 @@ (define-public jthread
                   (copy-file "tex/std.pdf"
                              (string-append out
                                             #$name "-"
-                                            #$version ".pdf"))))))))
+                                            #$(package-version this-package)
+                                            ".pdf"))))))))
       (native-inputs
        (list perl
              (texlive-local-tree
@@ -1618,7 +1619,7 @@ (define-public gperftools-for-friction
     (package
       (inherit gperftools)
       (name "gperftools")
-      (version (git-version base-version revision commit))
+      (version (make-git-version base-version revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2298,7 +2299,7 @@ (define-public lexy
         (revision "0"))
     (package
       (name "lexy")
-      (version (git-version "2022.12.1" revision commit))
+      (version (make-git-version "2022.12.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2583,7 +2584,7 @@ (define-public immer
         (revision "0"))
     (package
       (name "immer")
-      (version (git-version "0.8.1" revision commit))
+      (version (make-git-version "0.8.1" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -2871,7 +2872,7 @@ (define-public pcg-cpp
         (revision "3"))
     (package
       (name "pcg-cpp")
-      (version (git-version "0.98.1" revision commit))
+      (version (make-git-version "0.98.1" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -2931,7 +2932,7 @@ (define-public libcppgenerate
         (revision "0"))
     (package
       (name "libcppgenerate")
-      (version (git-version "0.2" revision commit))
+      (version (make-git-version "0.2" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -3466,7 +3467,7 @@ (define-public pocketfft-cpp
         (revision "0"))
     (package
       (name "pocketfft-cpp")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -3495,7 +3496,7 @@ (define-public priocpp
         (revision "0"))
     (package
       (name "priocpp")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -3525,7 +3526,7 @@ (define-public sajson
         (revision "0"))
     (package
       (name "sajson")
-      (version (git-version "1.0" revision commit))
+      (version (make-git-version "1.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -3714,7 +3715,7 @@ (define-public wide-integer
         (revision "1314"))              ; commit count
    (package
     (name "wide-integer")
-    (version (git-version "0" revision commit))
+    (version (make-git-version "0" revision commit))
     (source (origin
              (method git-fetch)
              (uri (git-reference
@@ -3746,7 +3747,7 @@ (define-public wdl
         (revision "0"))
     (package
       (name "wdl")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -4044,7 +4045,7 @@ (define-public sexp-cpp
         (revision "0"))
     (package
       (name "sexp-cpp")
-      (version (git-version "0.1.0" revision commit))
+      (version (make-git-version "0.1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -4092,7 +4093,7 @@ (define-public strutcpp
         (revision "0"))
     (package
       (name "strutcpp")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -4228,7 +4229,7 @@ (define-public tinygettext
         (revision "0"))
     (package
       (name "tinygettext")
-      (version (git-version "0.2.0" revision commit))
+      (version (make-git-version "0.2.0" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 6b81eb2937e..5d1afed3bce 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -5695,7 +5695,7 @@ (define-public r-plotly
                    (url "https://github.com/daattali/jquery-colourpicker")
                    (commit commit)))
              (file-name (git-file-name "jquery-colourpicker"
-                                       (git-version version revision commit)))
+                                       (make-git-version version revision commit)))
              (sha256
               (base32
                "0lg8amh8xh6p246j38rqghrljd7v5z34i169ra6403z8ga33wiqb")))))
@@ -5721,7 +5721,7 @@ (define-public r-plotly
                    (url "https://github.com/inexorabletash/polyfill/")
                    (commit commit)))
              (file-name (git-file-name "typedarray-polyfill"
-                                       (git-version version revision commit)))
+                                       (make-git-version version revision commit)))
              (sha256
               (base32
                "0f9np4mmyhny03n3xpwzs07rld30lnfqsnh97x1v7xm0qy0zjanf")))))))
@@ -6581,7 +6581,7 @@ (define-public r-waiter
         (revision "1"))
     (package
       (name "r-waiter")
-      (version (git-version "0.2.5" revision commit))
+      (version (make-git-version "0.2.5" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -13434,7 +13434,7 @@ (define-public r-shinydashboardplus
                      (url "https://github.com/DucThanhNguyen/MaterialAdminLTE")
                      (commit commit)))
                (file-name (git-file-name "MaterialAdminLTE"
-                                         (git-version "0" "0" commit)))
+                                         (make-git-version "0" "0" commit)))
                (sha256
                 (base32
                  "0cn11hxpf25h7xj2lk473z24swgz979dz255zwk2m2fj00iljkn9"))))))
@@ -13602,7 +13602,7 @@ (define-public r-sankeyd3
         (revision "1"))
     (package
       (name "r-sankeyd3")
-      (version (git-version "0.3.2" revision commit))
+      (version (make-git-version "0.3.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -16643,7 +16643,7 @@ (define-public r-excelr
            ;; the contents of the JavaScript files point to this commit as the
            ;; most likely source.
            (let* ((commit "8af1960f76e6803bebc5750013d2ebe95354e88a")
-                  (version (git-version "3.9.1" "0" commit)))
+                  (version (make-git-version "3.9.1" "0" commit)))
              (origin
                (method git-fetch)
                (uri (git-reference
@@ -39883,7 +39883,7 @@ (define-public r-soupx
         (revision "1"))
     (package
       (name "r-soupx")
-      (version (git-version "0.3.1" revision commit))
+      (version (make-git-version "0.3.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -50259,7 +50259,7 @@ (define-public r-seuratdisk
         (revision "1"))
     (package
       (name "r-seuratdisk")
-      (version (git-version "0.0.0.9021" revision commit))
+      (version (make-git-version "0.0.0.9021" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -50302,7 +50302,7 @@ (define-public r-seuratdata
         (revision "1"))
     (package
       (name "r-seuratdata")
-      (version (git-version "0.2.2.9001" revision commit))
+      (version (make-git-version "0.2.2.9001" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/crypto.scm b/gnu/packages/crypto.scm
index 72943e9437a..527b54ceb69 100644
--- a/gnu/packages/crypto.scm
+++ b/gnu/packages/crypto.scm
@@ -851,7 +851,7 @@ (define-public b2sum
         (revision "0"))
     (package
       (name "b2sum")
-      (version (git-version "20190724" revision commit))
+      (version (make-git-version "20190724" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1023,7 +1023,7 @@ (define-public asignify
         (revision "1"))
     (package
       (name "asignify")
-      (version (git-version "1.1" revision commit))
+      (version (make-git-version "1.1" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1363,7 +1363,7 @@ (define-public hash-extender
         (revision "2"))
     (package
       (name "hash-extender")
-      (version (git-version "0.0" revision commit))
+      (version (make-git-version "0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1387,7 +1387,7 @@ (define-public hash-extender
                       (bindir (string-append outdir "/bin"))
                       (docdir (string-append outdir
                                              "/share/doc/hash-extender-"
-                                             ,version)))
+                                             ,(package-version this-package))))
                  (install-file "hash_extender" bindir)
                  (install-file "README.md" docdir)
                  #t))))))
diff --git a/gnu/packages/cups.scm b/gnu/packages/cups.scm
index 8322818b771..312f8019335 100644
--- a/gnu/packages/cups.scm
+++ b/gnu/packages/cups.scm
@@ -1012,7 +1012,7 @@ (define-public splix
         (revision "315"))
     (package
       (name "splix")
-      (version (git-version "2.0.0" revision commit))
+      (version (make-git-version "2.0.0" revision commit))
       (source
        (origin
          (method git-fetch)